tigase.form

## Class AbstractForm

- java.lang.Object
- - tigase.form.AbstractForm

- Direct Known Subclasses:
    Form

      public class AbstractForm
      extends Object

  Created: 2007-05-27 11:41:02

  Author:
    bmalkow

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `instruction`
    `protected Logger` | `log`
    `protected String` | `title`
    `protected String` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractForm(Element form)`
    `AbstractForm(String type, String title, String instruction)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Element` | `getElement()`
    `String` | `getInstruction()`
    `String` | `getTitle()`
    `String` | `getType()`
    `String` | `getTypeOrElse(String defValue)`
    `boolean` | `isType(String type)`
    `void` | `setInstruction(String instruction)`
    `void` | `setTitle(String title)`
    `void` | `setType(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected final Logger log

    - #### instruction

          protected String instruction

    - #### title

          protected String title

    - #### type

          protected String type

  - ### Constructor Detail

    - #### AbstractForm

          public AbstractForm(Element form)

    - #### AbstractForm

          public AbstractForm(String type,
                              String title,
                              String instruction)

  - ### Method Detail

    - #### getElement

          public Element getElement()

    - #### getInstruction

          public String getInstruction()

    - #### setInstruction

          public void setInstruction(String instruction)

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle(String title)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getTypeOrElse

          public String getTypeOrElse(String defValue)

    - #### isType

          public boolean isType(String type)

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.